/*
Copyright (C) THL A29 Limited, a Tencent company. All rights reserved.

SPDX-License-Identifier: Apache-2.0
*/

// Package chain defines the constants for chain module
package chain

// key 模式
const (

	// 证书模式
	KEY_MODE_CERT = "KEY_MODE_CERT"

	// 公钥模式
	KEY_MODE_PK = "KEY_MODE_PK"
)

// 链上支持的签名 hash 算法
const (
	HASH_TYPE_SM3      = "SM3"
	HASH_TYPE_SHA256   = "SHA256"
	HASH_TYPE_SHA3_256 = "SHA3_256"
)

// 系统内置合约类型常量
const (

	// ContractTypeIda 资产登记合约
	ContractTypeIda = "ida"

	// ContractTypeTdh 文件共享合约
	ContractTypeTdh = "tdh"

	// ContractTypeDid did合约
	ContractTypeDid = "did"

	// ContractTypeMpc 隐私计算合约
	ContractTypeMpc = "mira"

	// ContractTypeApiAuthContract 数据产品授权共享合约
	ContractTypeApiAuthContract = "apiAuthContract"

	// ContractTypeApiReconciliation 数据产品共享对账合约
	ContractTypeApiReconciliation = "apiReconciliation"
)
